/*
 * The MIT License (MIT)
 *
 * Copyright © 2023 xrv <xrv@live.com>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package com.tzld.crawler.etl.enums;

import com.fasterxml.jackson.annotation.JsonValue;

/**
 * @author ehlxr
 * @since 2023-07-18 14:32.
 */
public enum MetricTypeEnum {
    SUCCESS("success", "处理成功"),
    DURATION("duration", "处理时长"),
    DUPLICATED("duplicated", "重复视频数"),
    FAIL("fail", "处理失败"),
    INVALID_URL("invalidUrl", "抓取链接无效"),
    DOWNLOAD_FAILED("downloadFailed", "文件下载失败"),
    VIDEO_SYNTHESIS_FAILED("videoSynthesisFailed", "音视频合成失败"),
    UNKNOWN_EXCEPTION("unknownException", "系统处理异常"),
    VIDEO_SEND_FAILED("videoSendFailed", "发布视频失败");

    private final String type;
    private final String desc;

    MetricTypeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    @JsonValue
    public String getType() {
        return type;
    }
}
