/*
 * The MIT License (MIT)
 *
 * Copyright © 2023 xrv <xrv@live.com>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package com.tzld.crawler.etl.model.dto;

/**
 * @author ehlxr
 * @since 2023-06-26 19:24.
 */
public class VideoInfoDto {
    private long duration;
    private int width;
    private int height;

    public static VideoInfoDtoBuilder newBuilder() {
        return new VideoInfoDtoBuilder();
    }

    @Override
    public String toString() {
        return "VideoInfoDto{" +
                "duration=" + duration +
                ", width=" + width +
                ", height=" + height +
                '}';
    }

    public long getDuration() {
        return duration;
    }

    public void setDuration(long duration) {
        this.duration = duration;
    }

    public int getWidth() {
        return width;
    }

    public void setWidth(int width) {
        this.width = width;
    }

    public int getHeight() {
        return height;
    }

    public void setHeight(int height) {
        this.height = height;
    }

    public static final class VideoInfoDtoBuilder {
        private long duration;
        private int width;
        private int height;

        private VideoInfoDtoBuilder() {
        }

        public VideoInfoDtoBuilder duration(long duration) {
            this.duration = duration;
            return this;
        }

        public VideoInfoDtoBuilder width(int width) {
            this.width = width;
            return this;
        }

        public VideoInfoDtoBuilder height(int height) {
            this.height = height;
            return this;
        }

        public VideoInfoDto build() {
            VideoInfoDto videoInfoDto = new VideoInfoDto();
            videoInfoDto.setDuration(duration);
            videoInfoDto.setWidth(width);
            videoInfoDto.setHeight(height);
            return videoInfoDto;
        }
    }
}
