/*
 * The MIT License (MIT)
 *
 * Copyright © 2023 xrv <xrg@live.com>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package com.tzld.crawler.etl.model.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author ehlxr
 * @since 2023-06-09 19:22.
 */
@ApiModel
public class CrawlerVideoSendParam {
    @ApiModelProperty(value = "登录用户ID")
    private Long loginUid;
    @ApiModelProperty(value = "产品类型")
    private Integer appType;
    @ApiModelProperty(value = "爬虫视频所在渠道内的ID")
    private String crawlerSrcId;
    @ApiModelProperty(value = "爬虫渠道code")
    private String crawlerSrcCode;
    @ApiModelProperty(value = "爬虫视频所在渠道内发布视频")
    private Long crawlerSrcPublishTimestamp;
    @ApiModelProperty(value = "爬虫任务创建时间")
    private Long crawlerTaskTimestamp;
    @ApiModelProperty(value = "视频地址")
    private String videoPath;
    @ApiModelProperty(value = "封面地址")
    private String coverImgPath;
    @ApiModelProperty(value = "标题")
    private String title;
    @ApiModelProperty(value = "总时长:秒")
    private Long totalTime;
    @ApiModelProperty(value = "可视状态: 1有效，2 已删除，3 已屏蔽,4关注可见，5分享可见，6自己可见")
    private Integer viewStatus;
    @ApiModelProperty(value = "公共参数-版本号")
    private Integer versionCode;

    @Override
    public String toString() {
        return "CrawlerVideoSendParam{" +
                "loginUid=" + loginUid +
                ", appType=" + appType +
                ", crawlerSrcId='" + crawlerSrcId + '\'' +
                ", crawlerSrcCode='" + crawlerSrcCode + '\'' +
                ", crawlerSrcPublishTimestamp=" + crawlerSrcPublishTimestamp +
                ", crawlerTaskTimestamp=" + crawlerTaskTimestamp +
                ", videoPath='" + videoPath + '\'' +
                ", coverImgPath='" + coverImgPath + '\'' +
                ", title='" + title + '\'' +
                ", totalTime=" + totalTime +
                ", viewStatus=" + viewStatus +
                ", versionCode=" + versionCode +
                '}';
    }

    public Long getLoginUid() {
        return loginUid;
    }

    public void setLoginUid(Long loginUid) {
        this.loginUid = loginUid;
    }

    public Integer getAppType() {
        return appType;
    }

    public void setAppType(Integer appType) {
        this.appType = appType;
    }

    public String getCrawlerSrcId() {
        return crawlerSrcId;
    }

    public void setCrawlerSrcId(String crawlerSrcId) {
        this.crawlerSrcId = crawlerSrcId;
    }

    public String getCrawlerSrcCode() {
        return crawlerSrcCode;
    }

    public void setCrawlerSrcCode(String crawlerSrcCode) {
        this.crawlerSrcCode = crawlerSrcCode;
    }

    public Long getCrawlerSrcPublishTimestamp() {
        return crawlerSrcPublishTimestamp;
    }

    public void setCrawlerSrcPublishTimestamp(Long crawlerSrcPublishTimestamp) {
        this.crawlerSrcPublishTimestamp = crawlerSrcPublishTimestamp;
    }

    public Long getCrawlerTaskTimestamp() {
        return crawlerTaskTimestamp;
    }

    public void setCrawlerTaskTimestamp(Long crawlerTaskTimestamp) {
        this.crawlerTaskTimestamp = crawlerTaskTimestamp;
    }

    public String getVideoPath() {
        return videoPath;
    }

    public void setVideoPath(String videoPath) {
        this.videoPath = videoPath;
    }

    public String getCoverImgPath() {
        return coverImgPath;
    }

    public void setCoverImgPath(String coverImgPath) {
        this.coverImgPath = coverImgPath;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Long getTotalTime() {
        return totalTime;
    }

    public void setTotalTime(Long totalTime) {
        this.totalTime = totalTime;
    }

    public Integer getViewStatus() {
        return viewStatus;
    }

    public void setViewStatus(Integer viewStatus) {
        this.viewStatus = viewStatus;
    }

    public Integer getVersionCode() {
        return versionCode;
    }

    public void setVersionCode(Integer versionCode) {
        this.versionCode = versionCode;
    }
}