package com.tzld.crawler.etl.model.vo;

import javax.validation.constraints.NotNull;

/**
 * @author ehlxr
 */
public class CrawlerEtlParam {
    /**
     * 站内用户ID
     */
    @NotNull(message = "userId not allow null")
    private Long userId;

    /**
     * 站外用户ID
     */
    private String outUserId;
    /**
     * 站外用户昵称
     */
    private String userName;
    /**
     * 站外用户头像
     */
    private String avatarUrl;

    /**
     * 平台:youtube，wechat，小年糕，好看视频
     */
    @NotNull(message = "platform not allow null")
    private String platform;

    /**
     * 策略:定向爬虫策略，热榜爬虫策略，小时榜爬虫策略，推荐榜爬虫策略
     */
    @NotNull(message = "strategy not allow null")
    private String strategy;

    /**
     * 站外视频ID
     */
    @NotNull(message = "outVideoId not allow null")
    private String outVideoId;

    /**
     * 视频标题
     */
    @NotNull(message = "videoTitle not allow null")
    private String videoTitle;

    /**
     * 视频封面
     */
    @NotNull(message = "coverUrl not allow null")
    private String coverUrl;

    /**
     * 视频播放地址
     */
    @NotNull(message = "videoUrl not allow null")
    private String videoUrl;

    /**
     * 视频时长
     */
    private Long duration;

    /**
     * 站外视频发布时间
     */
    private String publishTime;

    /**
     * 播放量
     */
    private Integer playCnt;

    /**
     * 点赞量
     */
    private Integer likeCnt;

    /**
     * 分享量
     */
    private Integer shareCnt;

    /**
     * 收藏量
     */
    private Integer collectionCnt;

    /**
     * 评论量
     */
    private Integer commentCnt;

    /**
     * 抓取时条件:{'play_cnt': 0, 'comment_cnt': 0, 'like_cnt': 0, 'duration': 60, 'publish_time': 10, 'video_width': 720, 'video_height': 720}
     */
    private String crawlerRule = "{}";

    /**
     * 宽
     */
    private Integer width;

    /**
     * 高
     */
    private Integer height;

    private String strategyType;

    private String coverOssPath;

    private String videoOssPath;

    /**
     * 音频地址
     */
    private String audioUrl;

    /**
     * MQ 消息ID
     */
    private String messageId;

    @Override
    public String toString() {
        return "CrawlerEtlParam{" +
                "userId=" + userId +
                ", outUserId='" + outUserId + '\'' +
                ", userName='" + userName + '\'' +
                ", avatarUrl='" + avatarUrl + '\'' +
                ", platform='" + platform + '\'' +
                ", strategy='" + strategy + '\'' +
                ", outVideoId='" + outVideoId + '\'' +
                ", videoTitle='" + videoTitle + '\'' +
                ", coverUrl='" + coverUrl + '\'' +
                ", videoUrl='" + videoUrl + '\'' +
                ", duration=" + duration +
                ", publishTime='" + publishTime + '\'' +
                ", playCnt=" + playCnt +
                ", likeCnt=" + likeCnt +
                ", shareCnt=" + shareCnt +
                ", collectionCnt=" + collectionCnt +
                ", commentCnt=" + commentCnt +
                ", crawlerRule='" + crawlerRule + '\'' +
                ", width=" + width +
                ", height=" + height +
                ", strategyType='" + strategyType + '\'' +
                ", coverOssPath='" + coverOssPath + '\'' +
                ", videoOssPath='" + videoOssPath + '\'' +
                ", audioUrl='" + audioUrl + '\'' +
                ", messageId='" + messageId + '\'' +
                '}';
    }

    public String getMessageId() {
        return messageId;
    }

    public void setMessageId(String messageId) {
        this.messageId = messageId;
    }

    public String getAudioUrl() {
        return audioUrl;
    }

    public void setAudioUrl(String audioUrl) {
        this.audioUrl = audioUrl;
    }

    public String getStrategyType() {
        return strategyType;
    }

    public void setStrategyType(String strategyType) {
        this.strategyType = strategyType;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getAvatarUrl() {
        return avatarUrl;
    }

    public void setAvatarUrl(String avatarUrl) {
        this.avatarUrl = avatarUrl;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getOutUserId() {
        return outUserId;
    }

    public void setOutUserId(String outUserId) {
        this.outUserId = outUserId;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getCoverOssPath() {
        return coverOssPath;
    }

    public void setCoverOssPath(String coverOssPath) {
        this.coverOssPath = coverOssPath;
    }

    public String getVideoOssPath() {
        return videoOssPath;
    }

    public void setVideoOssPath(String videoOssPath) {
        this.videoOssPath = videoOssPath;
    }

    public String getStrategy() {
        return strategy;
    }

    public void setStrategy(String strategy) {
        this.strategy = strategy;
    }

    public String getOutVideoId() {
        return outVideoId;
    }

    public void setOutVideoId(String outVideoId) {
        this.outVideoId = outVideoId;
    }

    public String getVideoTitle() {
        return videoTitle;
    }

    public void setVideoTitle(String videoTitle) {
        this.videoTitle = videoTitle;
    }

    public String getCoverUrl() {
        return coverUrl;
    }

    public void setCoverUrl(String coverUrl) {
        this.coverUrl = coverUrl;
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    public Long getDuration() {
        return duration;
    }

    public void setDuration(Long duration) {
        this.duration = duration;
    }

    public String getPublishTime() {
        return publishTime;
    }

    public void setPublishTime(String publishTime) {
        this.publishTime = publishTime;
    }

    public Integer getPlayCnt() {
        return playCnt;
    }

    public void setPlayCnt(Integer playCnt) {
        this.playCnt = playCnt;
    }

    public Integer getLikeCnt() {
        return likeCnt;
    }

    public void setLikeCnt(Integer likeCnt) {
        this.likeCnt = likeCnt;
    }

    public Integer getShareCnt() {
        return shareCnt;
    }

    public void setShareCnt(Integer shareCnt) {
        this.shareCnt = shareCnt;
    }

    public Integer getCollectionCnt() {
        return collectionCnt;
    }

    public void setCollectionCnt(Integer collectionCnt) {
        this.collectionCnt = collectionCnt;
    }

    public Integer getCommentCnt() {
        return commentCnt;
    }

    public void setCommentCnt(Integer commentCnt) {
        this.commentCnt = commentCnt;
    }

    public String getCrawlerRule() {
        return crawlerRule;
    }

    public void setCrawlerRule(String crawlerRule) {
        this.crawlerRule = crawlerRule;
    }

    public Integer getWidth() {
        return width;
    }

    public void setWidth(Integer width) {
        this.width = width;
    }

    public Integer getHeight() {
        return height;
    }

    public void setHeight(Integer height) {
        this.height = height;
    }
}